Metrics
Get System Metrics
Get cluster-level metrics (node, cluster, region).
Get cluster-level metrics (node, cluster, region).
Authorization
bearerAuth AuthorizationBearer <token>
Access token or API key (unb_...) passed as Authorization: Bearer <token>.
In: header
Query Parameters
node_name?string
Limit the metrics to a single server, defaults to every server
start?string
Start time for the query, defaults to 24 hours ago
Format
date-timeend?string
End time for the query, defaults to now
Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/metrics/get-system"{ "data": { "metrics": { "cpu": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "disk": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "filesystem": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "load": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "network": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ], "ram": [ { "breakdown": { "property1": 0, "property2": 0 }, "timestamp": "2019-08-24T14:15:22Z", "value": 0.1 } ] }, "step": 0 }}